Deployments.ai Docs
Tenancy

Create a project

POST /v1/projects · SDK createProject · CLI deployments project create

POST
/v1/projects

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
slug?string
Match^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$

Response Body

ProjectResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
metadata?
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
slug*string
Match^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$
status*string
Value in"active""archived""disabled"
curl -X POST "https://example.com/v1/projects" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "id": "string",  "metadata": {    "property1": null,    "property2": null  },  "name": "string",  "organizationId": "string",  "slug": "string",  "status": "active"}